Skip to main content
Contact / Types

Get a contact type by contact type id

This method requires the Contacts:Get permission to be associated with your role

GET
/fm/contact/types/{contact_type_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contact_type_idstringrequired
Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

contact_type_idstring
Example: 1234567890123456789
descriptionstring
Example: Contact Type
report_typeenum<string>
Available options: periodic-lease, combined, recharge, recharge-fuel, pay-run, pay-run-reports
status_flagenum<string>
Available options: active, inactive
Example: active